# Contributing

We are happy if you want to contribute, but because we do not have unlimited time, here a few recommendations:


## Opening issues

If you post an issue about an error
- Please provide the stacktrace if an error is thrown (with your code if the error is in your code).
- Please provide the schema of your Model if relevant.
- Please provide the relations between your Models if relevant.

If you post an issue to ask something, you can also try [gitter](https://gitter.im/neumino/thinky)
or [irc](irc://irc.freenode.org/rethinkdb).


## Fixing a bug

This is awesome! Before opening the pull request, please write a test. If you don't,
someone will have to and this require more time to merge the patch.


## Adding a feature

This is awesome! Please try to make backward compatible changes if possible. If not, open
an issue first so we can talk about it.

Please write a test, and if you can update the documentation, this is even better.


## About writing code

Try to roughly follow the convention. Beside using 2 spaces for indentation, there are
not that many rules.


# Documentation

The documentation is on [thinky.io](https://thinky.io).

If you find a typo, error, feel free to submit a pull request on the `gh-pages` branch. You
can also just open an issue.
